public inbox for gentoo-dev@lists.gentoo.org
 help / color / mirror / Atom feed
From: Andrew Ammerlaan <andrewammerlaan@gentoo.org>
To: gentoo-dev@lists.gentoo.org
Subject: [gentoo-dev] [PATCH] kernel-install.eclass: explicitly set kernel image to 644
Date: Sun, 11 Feb 2024 10:46:46 +0100	[thread overview]
Message-ID: <8445cce0-13df-4f39-83e4-2b3c228ef08a@gentoo.org> (raw)

Author: Andrew Ammerlaan <andrewammerlaan@gentoo.org>
Date:   Sun Feb 11 10:41:32 2024 +0100

kernel-install.eclass: explicitly set kernel image to 644

The kernel build system sets the permissions on the kernel
image to 644. However objcopy creates a file with permissions
755. This causes a discrepancy in the permissions on the
installed kernel image between +generic-uki,-generic-uki and
between gentoo-kernel, gentoo-kernel-bin.

Restore the symmetry by explicitly setting the objcopy'ed
files permissions to 644.

Signed-off-by: Andrew Ammerlaan <andrewammerlaan@gentoo.org>

diff --git a/eclass/kernel-install.eclass b/eclass/kernel-install.eclass
index 47865a953389..f512d815fe09 100644
--- a/eclass/kernel-install.eclass
+++ b/eclass/kernel-install.eclass
@@ -621,6 +621,7 @@ kernel-install_extract_from_uki() {

$(tc-getOBJCOPY) -O binary "-j.${extract_type}" "${uki}" "${out}" ||
die "Failed to extract ${extract_type}"
+       chmod 644 "${out}" || die
}

# @FUNCTION: kernel-install_install_all


             reply	other threads:[~2024-02-11  9:46 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-02-11  9:46 Andrew Ammerlaan [this message]
2024-02-11  9:55 ` [gentoo-dev] [PATCH] kernel-install.eclass: explicitly set kernel image to 644 Sam James
2024-02-11 10:00   ` Andrew Ammerlaan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=8445cce0-13df-4f39-83e4-2b3c228ef08a@gentoo.org \
    --to=andrewammerlaan@gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox